# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/03/30 23:15:47-05:00 len.brown@intel.com 
#   [ACPI] hotplug Processor consideration in acpi_bus_add()
#   
#   Signed-off-by: Keiichiro Tokunaga <tokunaga.keiich@jp.fujitsu.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/scan.c
#   2005/03/27 01:51:44-05:00 len.brown@intel.com +7 -5
#   This is to add CPU hotplug consideration to acpi_bus_add()
#   that now assumes processor objects are always present,
#   functioning, etc. at least when parent object is present.
#   But, CPU hotplug is supported today, so we need to change
#   the assumption.  If a processor object has _STA method, we
#   should respect it.
# 
diff -Nru a/drivers/acpi/scan.c b/drivers/acpi/scan.c
--- a/drivers/acpi/scan.c	2005-07-09 17:42:04 -04:00
+++ b/drivers/acpi/scan.c	2005-07-09 17:42:04 -04:00
@@ -1051,13 +1051,15 @@
 	/*
 	 * Status
 	 * ------
-	 * See if the device is present.  We always assume that non-Device()
-	 * objects (e.g. thermal zones, power resources, processors, etc.) are
-	 * present, functioning, etc. (at least when parent object is present).
-	 * Note that _STA has a different meaning for some objects (e.g.
-	 * power resources) so we need to be careful how we use it.
+	 * See if the device is present.  We always assume that non-Device
+	 * and non-Processor objects (e.g. thermal zones, power resources,
+	 * etc.) are present, functioning, etc. (at least when parent object
+	 * is present).  Note that _STA has a different meaning for some
+	 * objects (e.g. power resources) so we need to be careful how we use
+	 * it.
 	 */
 	switch (type) {
+	case ACPI_BUS_TYPE_PROCESSOR:
 	case ACPI_BUS_TYPE_DEVICE:
 		result = acpi_bus_get_status(device);
 		if (ACPI_FAILURE(result) || !device->status.present) {
